%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

%define 	source_version	20210807

Name:		libvslvm
Version:	%{source_version}
Release:	1%{?dist}
Summary:	Library to access the Linux Logical Volume Manager (LVM) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{source_version}.tar.gz
URL:		https://github.com/libyal/libvslvm/wiki
BuildRoot:	%{_tmppath}/%{name}-%{source_version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libvslvm is a library to access the Linux Logical Volume Manager (LVM) volume system

%package devel
Summary: Header files and libraries for developing applications for libvslvm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvslvm.

%package tools
Summary: Several tools for reading Linux Logical Volume Manager (LVM) volume systems
Group: Applications/System
Requires: %{name} = %{version}-%{release}  fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for reading Linux Logical Volume Manager (LVM) volume systems

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libvslvm
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
%if 0%{?centos} == 6
BuildRequires:  python27
Requires:	python27
%else
BuildRequires:  python2 >= 2.7
Requires:	python2 >= 2.7
%endif
BuildRequires:  python2-devel
Obsoletes:	%{name}-python < %{version}
Provides:	%{name}-python = %{version}

%description python2
Python 2 bindings for libvslvm
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libvslvm
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libvslvm
%endif

%prep
%setup -q -n %{name}-%{source_version}

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
#%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
#%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vslvminfo
%attr(755,root,root) %{_bindir}/vslvmmount
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Aug  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210807-1
* Release 20210807-1
	Version from 20210807

* Mon May 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210524-1
* Release 20210524-1
	Version from 20210524

* Sun Apr 25 2021 Lawrence R. Rogers <lrr@cert.org> 20210425-1
* Release 20210425-1
	Version from 20210425

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200817-2
* Release 20200817-2
	Release 2 - Removed Python 2 package

* Mon Aug 17 2020 Lawrence R. Rogers <lrr@cert.org> 20200817-1
* Release 20200817-1
	Version 20200817

* Thu Jan  2 2020 Lawrence R. Rogers <lrr@cert.org> 20200102-1
* Release 20200102-1
	Version 20200102

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Wed Sep 11 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-5
* Release 20181227-5
	This version is build with the coder from 20160110.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
	Version 20181227-4: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
        Release 3 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227.

* Sun Dec 16 2018 Lawrence R. Rogers <lrr@cert.org> 20181216-1
* Release 20181216-1
	Version from 20181216.

* Thu Apr 27 2017 Lawrence R. Rogers <lrr@cert.org> 20160110-2
* Release 20160110-2
	Added missing fuse dependencies

* Sun Jan 10 2016 Joachim Metz <joachim.metz@gmail.com> 20160110-1
- Auto-generated

